<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
  </PropertyGroup>

  <ItemGroup>
	  <PackageReference Include="AlibabaCloud.SDK.Sts20150401" Version="1.1.4" />
	  <PackageReference Include="Autofac.Extensions.DependencyInjection" Version="10.0.0" />
	  <PackageReference Include="Aliyun.OSS.SDK.NetCore" Version="2.14.1" />
	  <PackageReference Include="AWSSDK.S3" Version="3.7.402.7" />
	  <PackageReference Include="AWSSDK.SecurityToken" Version="3.7.400.16" />
	  <PackageReference Include="DistributedLock.Core" Version="1.0.7" />
	  <PackageReference Include="DistributedLock.SqlServer" Version="1.0.5" />
	  <PackageReference Include="fo-dicom" Version="5.1.3" />
	  <PackageReference Include="fo-dicom.Codecs" Version="5.14.5" />
	  <PackageReference Include="fo-dicom.Imaging.ImageSharp" Version="5.1.3" />
	  <PackageReference Include="Microsoft.AspNetCore.Mvc.NewtonsoftJson" Version="8.0.8" />
	  <PackageReference Include="AutoMapper" Version="13.0.1" />
	  <PackageReference Include="Minio" Version="6.0.3" />
	  <PackageReference Include="My.Extensions.Localization.Json" Version="3.3.0">
		  <TreatAsUsed>true</TreatAsUsed>
	  </PackageReference>
	  <PackageReference Include="Panda.DynamicWebApi" Version="1.2.2" />
	  <PackageReference Include="Serilog.Enrichers.ClientInfo" Version="2.1.1" />
	  <PackageReference Include="Serilog.Extensions.Hosting" Version="8.0.0" />
	  <PackageReference Include="Serilog.Sinks.Console" Version="6.0.0" />
	  <PackageReference Include="Serilog.Sinks.File" Version="6.0.0" />
	  <PackageReference Include="Swashbuckle.AspNetCore" Version="6.7.3" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\IRaCIS.Core.Domain\IRaCIS.Core.Domain.csproj" />
    <ProjectReference Include="..\IRaCIS.Core.Infra.EFCore\IRaCIS.Core.Infra.EFCore.csproj" />
  </ItemGroup>

</Project>
